Loading...
Searching...
No Matches
Opm::AquiferConstantFlux< TypeTag > Class Template Reference
Inheritance diagram for Opm::AquiferConstantFlux< TypeTag >:

## Public Types

using | RateVector = GetPropType<TypeTag, Properties::RateVector>
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | ElementMapper = GetPropType<TypeTag, Properties::ElementMapper>
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | BlackoilIndices = GetPropType<TypeTag, Properties::Indices>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | Eval = DenseAd::Evaluation<Scalar, numEq>
Public Types inherited from Opm::AquiferInterface< TypeTag >
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | RateVector = GetPropType<TypeTag, Properties::RateVector>
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>

## Public Member Functions

| AquiferConstantFlux (const std::vector< Aquancon::AquancCell > &connections, const Simulator &simulator, const SingleAquiferFlux &aquifer)
void | computeFaceAreaFraction (const std::vector< Scalar > &total_face_area) override
Scalar | totalFaceArea () const override
void | updateAquifer (const SingleAquiferFlux &aquifer)
void | initFromRestart (const data::Aquifers &aquiferSoln) override
void | initialSolutionApplied () override
void | beginTimeStep () override
void | endTimeStep () override
data::AquiferData | aquiferData () const override
void | addToSource (RateVector &rates, const unsigned cellIdx, const unsigned timeIdx) override
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const AquiferConstantFlux &rhs) const
Public Member Functions inherited from Opm::AquiferInterface< TypeTag >
| AquiferInterface (int aqID, const Simulator &simulator)
template<class Context>
void | addToSource (RateVector &rates, const Context &context, const unsigned spaceIdx, const unsigned timeIdx)
int | aquiferID () const

## Static Public Member Functions

static AquiferConstantFlux | serializationTestObject (const Simulator &simulator)

## Static Public Attributes

static constexpr int | numEq = BlackoilIndices::numEq

## Additional Inherited Members

Protected Member Functions inherited from Opm::AquiferInterface< TypeTag >
bool | co2store_or_h2store_ () const
int | phaseIdx_ () const
Protected Attributes inherited from Opm::AquiferInterface< TypeTag >
const int | aquiferID_ {}
const Simulator & | simulator_

## Member Function Documentation

## addToSource()

template<typename TypeTag>

void Opm::AquiferConstantFlux< TypeTag >::addToSource | ( | RateVector & | rates,
|  | const unsigned | cellIdx,
|  | const unsigned | timeIdx )

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## aquiferData()

template<typename TypeTag>

data::AquiferData Opm::AquiferConstantFlux< TypeTag >::aquiferData | ( |  | ) | const

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## beginTimeStep()

template<typename TypeTag>

void Opm::AquiferConstantFlux< TypeTag >::beginTimeStep | ( |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## computeFaceAreaFraction()

template<typename TypeTag>

void Opm::AquiferConstantFlux< TypeTag >::computeFaceAreaFraction | ( | const std::vector< Scalar > & | total_face_area | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## endTimeStep()

template<typename TypeTag>

void Opm::AquiferConstantFlux< TypeTag >::endTimeStep | ( |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## initFromRestart()

template<typename TypeTag>

void Opm::AquiferConstantFlux< TypeTag >::initFromRestart | ( | const data::Aquifers & | aquiferSoln | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## initialSolutionApplied()

template<typename TypeTag>

void Opm::AquiferConstantFlux< TypeTag >::initialSolutionApplied | ( |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## totalFaceArea()

template<typename TypeTag>

Scalar Opm::AquiferConstantFlux< TypeTag >::totalFaceArea | ( |  | ) | const

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

The documentation for this class was generated from the following file:

- opm/simulators/aquifers/AquiferConstantFlux.hpp